## keyutils 1.5.9

=== Makefile ===
CPPFLAGS	:= -I.
CFLAGS		:= -g -Wall -Werror
INSTALL		:= install
DESTDIR		:=
SPECFILE	:= keyutils.spec
NO_GLIBC_KEYERR	:= 0
NO_ARLIB	:= 0
ETCDIR		:= /etc
BINDIR		:= /bin
SBINDIR		:= /sbin
SHAREDIR	:= /usr/share/keyutils
MANDIR		:= /usr/share/man
MAN1		:= $(MANDIR)/man1
MAN3		:= $(MANDIR)/man3
MAN5		:= $(MANDIR)/man5
MAN7		:= $(MANDIR)/man7
MAN8		:= $(MANDIR)/man8
INCLUDEDIR	:= /usr/include
LNS		:= ln -sf

###############################################################################
#
# Determine the current package version from the specfile
#
###############################################################################
vermajor	:= $(shell grep "%define vermajor" $(SPECFILE))
verminor	:= $(shell grep "%define verminor" $(SPECFILE))
MAJOR		:= $(word 3,$(vermajor))
MINOR		:= $(word 3,$(verminor))
VERSION		:= $(MAJOR).$(MINOR)

TARBALL		:= keyutils-$(VERSION).tar
ZTARBALL	:= $(TARBALL).bz2

###############################################################################
#
# Determine the current library version from the version script
#
###############################################################################
libversion	:= $(filter KEYUTILS_%,$(shell grep ^KEYUTILS_ version.lds))
libversion	:= $(lastword $(libversion))
libversion	:= $(lastword $(libversion))
APIVERSION	:= $(subst KEYUTILS_,,$(libversion))
vernumbers	:= $(subst ., ,$(APIVERSION))
APIMAJOR	:= $(firstword $(vernumbers))

ARLIB		:= libkeyutils.a
DEVELLIB	:= libkeyutils.so
SONAME		:= libkeyutils.so.$(APIMAJOR)
LIBNAME		:= libkeyutils.so.$(APIVERSION)

###############################################################################
#
# Guess at the appropriate lib directory and word size
#
###############################################################################
ifeq ($(origin LIBDIR),undefined)
LIBDIR		:= $(shell ldd /usr/bin/make | grep '\(/libc\)' | sed -e 's!.*\(/.*\)/libc[.].*!\1!')
endif
ifeq ($(origin USRLIBDIR),undefined)
USRLIBDIR	:= $(patsubst /lib/%,/usr/lib/%,$(LIBDIR))
endif
BUILDFOR	:= $(shell file /usr/bin/make | sed -e 's!.*ELF \(32\|64\)-bit.*!\1!')-bit

LNS		:= ln -sf

ifeq ($(origin CFLAGS),undefined)
ifeq ($(BUILDFOR),32-bit)
CFLAGS		+= -m32
LIBDIR		:= /lib
USRLIBDIR	:= /usr/lib
else
ifeq ($(BUILDFOR),64-bit)
CFLAGS		+= -m64
LIBDIR		:= /lib64
USRLIBDIR	:= /usr/lib64
endif
endif
endif

###############################################################################
#
# This is necessary if glibc doesn't know about the key management error codes
#
###############################################################################
ifeq ($(NO_GLIBC_KEYERR),1)
CFLAGS	+= -DNO_GLIBC_KEYERR
LIBLIBS	:= -ldl -lc
else
LIBLIBS	:=
endif

###############################################################################
#
# Normal build rule
#
###############################################################################
all: $(DEVELLIB) keyctl request-key key.dns_resolver

###############################################################################
#
# Build the libraries
#
###############################################################################
#RPATH = -Wl,-rpath,$(LIBDIR)

ifeq ($(NO_ARLIB),0)
all: $(ARLIB)
$(ARLIB): keyutils.o
	$(AR) rcs $@ $<
endif

VCPPFLAGS	:= -DPKGBUILD="\"$(shell date -u +%F)\""
VCPPFLAGS	+= -DPKGVERSION="\"keyutils-$(VERSION)\""
VCPPFLAGS	+= -DAPIVERSION="\"libkeyutils-$(APIVERSION)\""

keyutils.o: keyutils.c keyutils.h Makefile
	$(CC) $(CPPFLAGS) $(VCPPFLAGS) $(CFLAGS) -UNO_GLIBC_KEYERR -o $@ -c $<


$(DEVELLIB): $(SONAME)
	ln -sf $< $@

$(SONAME): $(LIBNAME)
	ln -sf $< $@

LIBVERS := -shared -Wl,-soname,$(SONAME) -Wl,--version-script,version.lds

$(LIBNAME): keyutils.os version.lds Makefile
	$(CC) $(CFLAGS) -fPIC $(LDFLAGS) $(LIBVERS) -o $@ keyutils.os $(LIBLIBS)

keyutils.os: keyutils.c keyutils.h Makefile
	$(CC) $(CPPFLAGS) $(VCPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $<

###############################################################################
#
# Build the programs
#
###############################################################################
%.o: %.c keyutils.h Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

keyctl: keyctl.o $(DEVELLIB)
	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils

request-key: request-key.o $(DEVELLIB)
	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils

key.dns_resolver: key.dns_resolver.o $(DEVELLIB)
	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils -lresolv

###############################################################################
#
# Install everything
#
###############################################################################
install: all
ifeq ($(NO_ARLIB),0)
	$(INSTALL) -D -m 0644 $(ARLIB) $(DESTDIR)$(USRLIBDIR)/$(ARLIB)
endif
	$(INSTALL) -D $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)
	$(LNS) $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SONAME)
	mkdir -p $(DESTDIR)$(USRLIBDIR)
	$(LNS) $(LIBDIR)/$(SONAME) $(DESTDIR)$(USRLIBDIR)/$(DEVELLIB)
	$(INSTALL) -D keyctl $(DESTDIR)$(BINDIR)/keyctl
	$(INSTALL) -D request-key $(DESTDIR)$(SBINDIR)/request-key
	$(INSTALL) -D request-key-debug.sh $(DESTDIR)$(SHAREDIR)/request-key-debug.sh
	$(INSTALL) -D key.dns_resolver $(DESTDIR)$(SBINDIR)/key.dns_resolver
	$(INSTALL) -D -m 0644 request-key.conf $(DESTDIR)$(ETCDIR)/request-key.conf
	mkdir -p $(DESTDIR)$(ETCDIR)/request-key.d
	mkdir -p $(DESTDIR)$(MAN1)
	$(INSTALL) -m 0644 $(wildcard man/*.1) $(DESTDIR)$(MAN1)
	mkdir -p $(DESTDIR)$(MAN3)
	$(INSTALL) -m 0644 $(wildcard man/*.3) $(DESTDIR)$(MAN3)
	mkdir -p $(DESTDIR)$(MAN5)
	$(INSTALL) -m 0644 $(wildcard man/*.5) $(DESTDIR)$(MAN5)
	mkdir -p $(DESTDIR)$(MAN7)
	$(INSTALL) -m 0644 $(wildcard man/*.7) $(DESTDIR)$(MAN7)
	mkdir -p $(DESTDIR)$(MAN8)
	$(INSTALL) -m 0644 $(wildcard man/*.8) $(DESTDIR)$(MAN8)
	$(LNS) keyctl_describe.3 $(DESTDIR)$(MAN3)/keyctl_describe_alloc.3
	$(LNS) keyctl_get_security.3 $(DESTDIR)$(MAN3)/keyctl_get_security_alloc.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_instantiate_iov.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_reject.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_negate.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_assume_authority.3
	$(LNS) keyctl_link.3 $(DESTDIR)$(MAN3)/keyctl_unlink.3
	$(LNS) keyctl_read.3 $(DESTDIR)$(MAN3)/keyctl_read_alloc.3
	$(LNS) recursive_key_scan.3 $(DESTDIR)$(MAN3)/recursive_session_key_scan.3
	$(INSTALL) -D -m 0644 keyutils.h $(DESTDIR)$(INCLUDEDIR)/keyutils.h

###############################################################################
#
# Run tests
#
###############################################################################
test:
	$(MAKE) -C tests run

###############################################################################
#
# Clean up
#
###############################################################################
clean:
	$(MAKE) -C tests clean
	$(RM) libkeyutils*
	$(RM) keyctl request-key key.dns_resolver
	$(RM) *.o *.os *~
	$(RM) debugfiles.list debugsources.list

distclean: clean
	$(RM) -r rpmbuild

###############################################################################
#
# Generate a tarball
#
###############################################################################
$(ZTARBALL):
	git archive --prefix=keyutils-$(VERSION)/ --format tar -o $(TARBALL) HEAD
	bzip2 -9 $(TARBALL)

tarball: $(ZTARBALL)

###############################################################################
#
# Generate an RPM
#
###############################################################################
SRCBALL	:= rpmbuild/SOURCES/$(TARBALL)

BUILDID	:= .local
dist	:= $(word 2,$(shell grep "%dist" /etc/rpm/macros.dist))
release	:= $(word 2,$(shell grep ^Release: $(SPECFILE)))
release	:= $(subst %{?dist},$(dist),$(release))
release	:= $(subst %{?buildid},$(BUILDID),$(release))
rpmver	:= $(VERSION)-$(release)
SRPM	:= rpmbuild/SRPMS/keyutils-$(rpmver).src.rpm

RPMBUILDDIRS := \
		--define "_srcrpmdir $(CURDIR)/rpmbuild/SRPMS" \
		--define "_rpmdir $(CURDIR)/rpmbuild/RPMS" \
		--define "_sourcedir $(CURDIR)/rpmbuild/SOURCES" \
		--define "_specdir $(CURDIR)/rpmbuild/SPECS" \
		--define "_builddir $(CURDIR)/rpmbuild/BUILD" \
		--define "_buildrootdir $(CURDIR)/rpmbuild/BUILDROOT"

RPMFLAGS := \
	--define "buildid $(BUILDID)"

rpm:
	mkdir -p rpmbuild
	chmod ug-s rpmbuild
	mkdir -p rpmbuild/{SPECS,SOURCES,BUILD,BUILDROOT,RPMS,SRPMS}
	git archive --prefix=keyutils-$(VERSION)/ --format tar -o $(SRCBALL) HEAD
	bzip2 -9f $(SRCBALL)
	rpmbuild -ts $(SRCBALL).bz2 --define "_srcrpmdir rpmbuild/SRPMS" $(RPMFLAGS)
	rpmbuild --rebuild $(SRPM) $(RPMBUILDDIRS) $(RPMFLAGS)

rpmlint: rpm
	rpmlint $(SRPM) $(CURDIR)/rpmbuild/RPMS/*/keyutils-{,libs-,libs-devel-,debuginfo-}$(rpmver).*.rpm

###############################################################################
#
# Build debugging
#
###############################################################################
show_vars:
	@echo VERSION=$(VERSION)
	@echo APIVERSION=$(APIVERSION)
	@echo LIBDIR=$(LIBDIR)
	@echo USRLIBDIR=$(USRLIBDIR)
	@echo BUILDFOR=$(BUILDFOR)
	@echo SONAME=$(SONAME)
	@echo LIBNAME=$(LIBNAME)

=== debian/changelog ===
keyutils (1.5.9-9.2ubuntu2.1) bionic; urgency=medium

  * d/p/apply-default-ttl-to-records.patch: Add patch
    to apply default TTL to records obtained from
    getaddrinfo(). (LP: #1962453)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 08 Mar 2022 13:26:12 +0530

keyutils (1.5.9-9.2ubuntu2) bionic; urgency=medium

  * debian/patches/endianness-and-PIE.patch: fix regexp match against
    `file /proc/$$/exe` for -fPIE bash.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 18 Apr 2018 04:21:18 +0000

keyutils (1.5.9-9.2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable the tests on armhf, hanging with older qemu version
      (functions not implemented)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Nov 2017 08:45:18 +0100

keyutils (1.5.9-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Disable testsuite on mips and mipsel until kernel bug #881830 is fixed.
      (Closes: #881912)

 -- James Cowgill <jcowgill@debian.org>  Thu, 16 Nov 2017 12:19:11 +0000

keyutils (1.5.9-9.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable the tests, hanging on the distro buildd kernels (12.04 LTS).
      Verified that the tests succeed with the 14.04 LTS kernels.
      Addresses: LP: #1381973. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 08:05:37 +0200

keyutils (1.5.9-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules:
    - Read SOURCE_DATE_EPOCH in UTC, thanks to Reiner Herrmann for the patch.
      (Closes: #828681)

 -- Holger Levsen <holger@debian.org>  Thu, 28 Sep 2017 14:19:16 +0200

keyutils (1.5.9-9ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable (LP: #1604500).  Remaining changes:
    - Disable the tests, hanging on the distro buildd kernels (12.04 LTS).
      Verified that the tests succeed with the 14.04 LTS kernels.
      Addresses: LP: #1381973. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Jul 2016 19:13:04 +0200

keyutils (1.5.9-9) unstable; urgency=medium

  * Drop package keyutils-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html
  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Bump Build-Depends version of debhelper to (>= 9.20151004). Needed for
      $SOURCE_DATE_EPOCH
    - Switch Vcs-Browser from gitweb to cgit
    - Switch to secure URIs in Vcs-* fields
  * d/copyright:
    - Bump copyright years
  * d/tests:
    - Amend missing dependencies for upstream-runtime-tests
    - Add allow-stderr restriction
  * d/rules:
    - Use debhelper's $SOURCE_DATE_EPOCH for embedded timestamp. This should
      resolve a reproducible-builds issue
  * d/patches (added):
    - Drop-tests-requiring-CONFIG_BIG_KEYS.patch
      The Debian kernel is built without CONFIG_BIG_KEYS
    - Add Adjust-tests-for-3.18-kernel-change.patch
      The maximum description size is 4095 plus a NULL in kernels from v3.18.
      Backported from upstream

 -- Christian Kastner <ckk@debian.org>  Sun, 01 May 2016 13:08:32 +0200

keyutils (1.5.9-8ubuntu1) xenial; urgency=medium

  * Disable the tests, hanging on the distro buildd kernels (12.04 LTS).
    Verified that the tests succeed with the 14.04 LTS kernels.
    Addresses: LP: #1381973. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Dec 2015 17:31:54 +0100

keyutils (1.5.9-8) unstable; urgency=medium

  * d/rules:
    - Use date from changelog as build date
  * d/patches (added):
    - Add patch Include-limits.h-for-UINT_MAX.patch
      Closes: #798157
    - Add patch Make-build-reproducible.patch
      Makes it possible to set build date instead of using the current date
  * d/patches (updated):
    - Disable-tests-hitting-bug-in-MIPS-kernel-3.19.patch
    - Make-testcase-aware-of-a-kernel-behaviour-change.patch
      Extend DEP3 headers

 -- Christian Kastner <ckk@debian.org>  Wed, 07 Oct 2015 20:42:53 +0200

keyutils (1.5.9-7) unstable; urgency=medium

  * debian/patches (updated):
    - Disable-tests-hitting-bug-in-MIPS-kernel-3.19.patch
      Add another affected test that I seem to have overlooked previously.

 -- Christian Kastner <ckk@debian.org>  Thu, 03 Sep 2015 01:55:10 +0200

keyutils (1.5.9-6) unstable; urgency=medium

  * Add package-specific d/gbp.conf
  * d/patches:
    - Drop patch numbers from .patch filenames
  * d/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Mark package keyutils-dbg as Multi-Arch: same
    - Mark package keyutils-dev as Multi-Arch: same
    - Mark package keyutils as Multi-Arch: foreign
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Switch Maintainer email to my @debian.org address
  * d/copyright:
    - Fix a Files pattern (the GPL-2+ applies to all but two files)
    - Bump copyright years
  * d/patches (dropped):
    - Enable-skipping-of-MAXDESCLEN-tests
      This was a Debian-specific temporary workaround for a kernel issue on
      arm64, MIPS, and sparc.
        + The arm64 issue (#754206) is no longer reproducible on a porter box
          which also has a 3.16 (albeit a later release), so lets see if these
          just were early arm64 adoption problems
        + The patch added below addresses the problem on MIPS more cleanly
        + sparc has been dropped in the meantime
  * d/patches (updated):
     - Enable-skipping-test-requiring-installation.patch
     - enable-skipping-tests-req-root.patch
     - man-page-syntax-fixes.patch
       Added DEP3 Applied-Upstream headers to the above three
  * d/patches (added):
    - Disable-tests-hitting-bug-in-MIPS-kernel-3.19.patch
      This disables the "overlong description length" tests when running on a
      MIPS kernel earlier than 3.19. They could not pass because of a kernel
      bug. Closes: #779351


=== debian/control ===
Source: keyutils
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper (>= 9.20151004),
    lsb-release,
Standards-Version: 3.9.8
Homepage: http://people.redhat.com/~dhowells/keyutils/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/keyutils.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/keyutils.git

Package: keyutils
Architecture: linux-any
Multi-Arch: foreign
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
Description: Linux Key Management Utilities
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.

Package: libkeyutils1
Section: libs
Priority: standard
Architecture: linux-any
Multi-Arch: same
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Linux Key Management Utilities (library)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package provides a wrapper library for the key management facility system
 calls.

Package: libkeyutils-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
    ${misc:Depends},
    libkeyutils1 (= ${binary:Version}),
Description: Linux Key Management Utilities (development)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the development files.

=== debian/tests/control ===
Tests: upstream-runtime-tests
Restrictions: needs-root breaks-testbed allow-stderr
Depends: keyutils, lsb-release, file

=== debian/watch ===
version=3
http://people.redhat.com/~dhowells/keyutils/keyutils-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Tue, 29 Jan 2013 21:10:46 +0000

## keyutils 1.6

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SPECFILE	:= keyutils.spec
 NO_GLIBC_KEYERR	:= 0
 NO_ARLIB	:= 0
+NO_SOLIB	:= 0
 ETCDIR		:= /etc
 BINDIR		:= /bin
 SBINDIR		:= /sbin
@@ -16,7 +17,9 @@
 MAN7		:= $(MANDIR)/man7
 MAN8		:= $(MANDIR)/man8
 INCLUDEDIR	:= /usr/include
-LNS		:= ln -sf
+LN		:= ln
+LNS		:= $(LN) -sf
+PREFIX 		:= /usr
 
 ###############################################################################
 #
@@ -61,8 +64,6 @@
 USRLIBDIR	:= $(patsubst /lib/%,/usr/lib/%,$(LIBDIR))
 endif
 BUILDFOR	:= $(shell file /usr/bin/make | sed -e 's!.*ELF \(32\|64\)-bit.*!\1!')-bit
-
-LNS		:= ln -sf
 
 ifeq ($(origin CFLAGS),undefined)
 ifeq ($(BUILDFOR),32-bit)
@@ -78,6 +79,9 @@
 endif
 endif
 
+PKGCONFIG 	:= libkeyutils.pc
+PKGCONFIG_DIR 	:= pkgconfig
+
 ###############################################################################
 #
 # This is necessary if glibc doesn't know about the key management error codes
@@ -95,7 +99,7 @@
 # Normal build rule
 #
 ###############################################################################
-all: $(DEVELLIB) keyctl request-key key.dns_resolver
+all: keyctl request-key key.dns_resolver
 
 ###############################################################################
 #
@@ -103,26 +107,29 @@
 #
 ###############################################################################
 #RPATH = -Wl,-rpath,$(LIBDIR)
+
+VCPPFLAGS	:= -DPKGBUILD="\"$(shell date -u +%F)\""
+VCPPFLAGS	+= -DPKGVERSION="\"keyutils-$(VERSION)\""
+VCPPFLAGS	+= -DAPIVERSION="\"libkeyutils-$(APIVERSION)\""
 
 ifeq ($(NO_ARLIB),0)
 all: $(ARLIB)
 $(ARLIB): keyutils.o
 	$(AR) rcs $@ $<
-endif
-
-VCPPFLAGS	:= -DPKGBUILD="\"$(shell date -u +%F)\""
-VCPPFLAGS	+= -DPKGVERSION="\"keyutils-$(VERSION)\""
-VCPPFLAGS	+= -DAPIVERSION="\"libkeyutils-$(APIVERSION)\""
 
 keyutils.o: keyutils.c keyutils.h Makefile
 	$(CC) $(CPPFLAGS) $(VCPPFLAGS) $(CFLAGS) -UNO_GLIBC_KEYERR -o $@ -c $<
-
-
+LIB_DEPENDENCY	:= libkeyutils.a
+endif
+
+
+ifeq ($(NO_SOLIB),0)
+all: $(DEVELLIB)
 $(DEVELLIB): $(SONAME)
-	ln -sf $< $@
+	$(LNS) $< $@
 
 $(SONAME): $(LIBNAME)
-	ln -sf $< $@
+	$(LNS) $< $@
 
 LIBVERS := -shared -Wl,-soname,$(SONAME) -Wl,--version-script,version.lds
 
@@ -131,6 +138,8 @@
 
 keyutils.os: keyutils.c keyutils.h Makefile
 	$(CC) $(CPPFLAGS) $(VCPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $<
+LIB_DEPENDENCY	:= $(DEVELLIB)
+endif
 
 ###############################################################################
 #
@@ -140,28 +149,52 @@
 %.o: %.c keyutils.h Makefile
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<
 
-keyctl: keyctl.o $(DEVELLIB)
+keyctl: keyctl.o $(LIB_DEPENDENCY)
 	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils
 
-request-key: request-key.o $(DEVELLIB)
+request-key: request-key.o $(LIB_DEPENDENCY)
 	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils
 
-key.dns_resolver: key.dns_resolver.o $(DEVELLIB)
-	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils -lresolv
+key.dns_resolver: key.dns_resolver.o dns.afsdb.o $(LIB_DEPENDENCY)
+	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ \
+		key.dns_resolver.o dns.afsdb.o -lkeyutils -lresolv
+
+key.dns_resolver.o: key.dns_resolver.c key.dns.h
+dns.afsdb.o: dns.afsdb.c key.dns.h
 
 ###############################################################################
 #
 # Install everything
 #
 ###############################################################################
+pkgconfig:
+	sed \
+	-e 's,@VERSION\@,$(VERSION),g' \
+	-e 's,@prefix\@,$(PREFIX),g' \
+	-e 's,@exec_prefix\@,$(PREFIX),g' \
+	-e 's,@libdir\@,$(USRLIBDIR),g' \
+	-e 's,@includedir\@,$(INCLUDEDIR),g' \
+	< $(PKGCONFIG).in > $(PKGCONFIG) || rm $(PKGCONFIG)
+
 install: all
 ifeq ($(NO_ARLIB),0)
 	$(INSTALL) -D -m 0644 $(ARLIB) $(DESTDIR)$(USRLIBDIR)/$(ARLIB)
 endif
+ifeq ($(NO_SOLIB),0)
 	$(INSTALL) -D $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)
 	$(LNS) $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SONAME)
 	mkdir -p $(DESTDIR)$(USRLIBDIR)
 	$(LNS) $(LIBDIR)/$(SONAME) $(DESTDIR)$(USRLIBDIR)/$(DEVELLIB)
+	sed \
+	-e 's,@VERSION\@,$(VERSION),g' \
+	-e 's,@prefix\@,$(PREFIX),g' \
+	-e 's,@exec_prefix\@,$(PREFIX),g' \
+	-e 's,@libdir\@,$(USRLIBDIR),g' \
+	-e 's,@includedir\@,$(INCLUDEDIR),g' \
+	< $(PKGCONFIG).in > $(PKGCONFIG) || rm $(PKGCONFIG)
+	$(INSTALL) -D $(PKGCONFIG) $(DESTDIR)$(LIBDIR)/$(PKGCONFIG_DIR)/$(PKGCONFIG)
+	rm $(PKGCONFIG)
+endif
 	$(INSTALL) -D keyctl $(DESTDIR)$(BINDIR)/keyctl
 	$(INSTALL) -D request-key $(DESTDIR)$(SBINDIR)/request-key
 	$(INSTALL) -D request-key-debug.sh $(DESTDIR)$(SHAREDIR)/request-key-debug.sh
@@ -187,6 +220,8 @@
 	$(LNS) keyctl_link.3 $(DESTDIR)$(MAN3)/keyctl_unlink.3
 	$(LNS) keyctl_read.3 $(DESTDIR)$(MAN3)/keyctl_read_alloc.3
 	$(LNS) recursive_key_scan.3 $(DESTDIR)$(MAN3)/recursive_session_key_scan.3
+	$(LNS) keyctl_dh_compute.3 $(DESTDIR)$(MAN3)/keyctl_dh_compute_alloc.3
+	$(LNS) keyctl_dh_compute.3 $(DESTDIR)$(MAN3)/keyctl_dh_compute_kdf.3
 	$(INSTALL) -D -m 0644 keyutils.h $(DESTDIR)$(INCLUDEDIR)/keyutils.h
 
 ###############################################################################
@@ -204,13 +239,13 @@
 ###############################################################################
 clean:
 	$(MAKE) -C tests clean
-	$(RM) libkeyutils*
+	$(RM) libkeyutils.so* libkeyutils.a
 	$(RM) keyctl request-key key.dns_resolver
 	$(RM) *.o *.os *~
 	$(RM) debugfiles.list debugsources.list
 
 distclean: clean
-	$(RM) -r rpmbuild
+	$(RM) -r rpmbuild $(TARBALL)
 
 ###############################################################################
 #
@@ -219,7 +254,7 @@
 ###############################################################################
 $(ZTARBALL):
 	git archive --prefix=keyutils-$(VERSION)/ --format tar -o $(TARBALL) HEAD
-	bzip2 -9 $(TARBALL)
+	bzip2 -9 <$(TARBALL) >$(ZTARBALL)
 
 tarball: $(ZTARBALL)
 
@@ -229,9 +264,10 @@
 #
 ###############################################################################
 SRCBALL	:= rpmbuild/SOURCES/$(TARBALL)
+ZSRCBALL := rpmbuild/SOURCES/$(ZTARBALL)
 
 BUILDID	:= .local
-dist	:= $(word 2,$(shell grep "%dist" /etc/rpm/macros.dist))
+dist	:= $(word 2,$(shell grep -r "^%dist" /etc/rpm /usr/lib/rpm))
 release	:= $(word 2,$(shell grep ^Release: $(SPECFILE)))
 release	:= $(subst %{?dist},$(dist),$(release))
 release	:= $(subst %{?buildid},$(BUILDID),$(release))
@@ -239,12 +275,12 @@
 SRPM	:= rpmbuild/SRPMS/keyutils-$(rpmver).src.rpm
 
 RPMBUILDDIRS := \
-		--define "_srcrpmdir $(CURDIR)/rpmbuild/SRPMS" \
-		--define "_rpmdir $(CURDIR)/rpmbuild/RPMS" \
-		--define "_sourcedir $(CURDIR)/rpmbuild/SOURCES" \
-		--define "_specdir $(CURDIR)/rpmbuild/SPECS" \
-		--define "_builddir $(CURDIR)/rpmbuild/BUILD" \
-		--define "_buildrootdir $(CURDIR)/rpmbuild/BUILDROOT"
+	--define "_srcrpmdir $(CURDIR)/rpmbuild/SRPMS" \
+	--define "_rpmdir $(CURDIR)/rpmbuild/RPMS" \
+	--define "_sourcedir $(CURDIR)/rpmbuild/SOURCES" \
+	--define "_specdir $(CURDIR)/rpmbuild/SPECS" \
+	--define "_builddir $(CURDIR)/rpmbuild/BUILD" \
+	--define "_buildrootdir $(CURDIR)/rpmbuild/BUILDROOT"
 
 RPMFLAGS := \
 	--define "buildid $(BUILDID)"
@@ -254,8 +290,8 @@
 	chmod ug-s rpmbuild
 	mkdir -p rpmbuild/{SPECS,SOURCES,BUILD,BUILDROOT,RPMS,SRPMS}
 	git archive --prefix=keyutils-$(VERSION)/ --format tar -o $(SRCBALL) HEAD
-	bzip2 -9f $(SRCBALL)
-	rpmbuild -ts $(SRCBALL).bz2 --define "_srcrpmdir rpmbuild/SRPMS" $(RPMFLAGS)
+	bzip2 -9 <$(SRCBALL) >$(ZSRCBALL)
+	rpmbuild -ts $(ZSRCBALL) --define "_srcrpmdir rpmbuild/SRPMS" $(RPMFLAGS)
 	rpmbuild --rebuild $(SRPM) $(RPMBUILDDIRS) $(RPMFLAGS)
 
 rpmlint: rpm

=== tests/Makefile ===
# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: David Howells <dhowells@redhat.com>
# Updated to new Make model by Bill Peck <bpeck@redhat.com>

# The toplevel namespace within which the test lives.
TOPLEVEL_NAMESPACE=/kernel

# The name of the package under test:
PACKAGE_NAME=keyutils

# The path of the test below the package:
RELATIVE_PATH=testsuite

# Version of the Test. Used with make tag.
export TESTVERSION=1.3

# The combined namespace of the test.
export TEST=$(TOPLEVEL_NAMESPACE)/$(PACKAGE_NAME)/$(RELATIVE_PATH)

.PHONY: all install download clean

TESTS	= $(shell /usr/bin/find . -name runtest.sh | \
                  /bin/sed -e 's/runtest.sh//g;s/^\.\///;s/\/$$//')

BUILT_FILES= 
FILES=$(METADATA) *.sh Makefile PURPOSE bugzillas keyctl

run: $(FILES) build
	bash runtest.sh $(TESTS)

build: $(BUILT_FILES)

clean:
	rm -f *~ *.rpm $(BUILT_FILES)
	find * -name test.out -delete

# You may need to add other targets e.g. to build executables from source code
# Add them here:


# Include Common Makefile
ifneq ($(wildcard /usr/share/rhts/lib/rhts-make.include),)
include /usr/share/rhts/lib/rhts-make.include

# Generate the testinfo.desc here:
$(METADATA): Makefile
	@touch $(METADATA)
	@echo "Owner:        David Howells <dhowells@redhat.com>" > $(METADATA)
	@echo "Name:         $(TEST)" >> $(METADATA)
	@echo "Path:         $(TEST_DIR)"	>> $(METADATA)
	@echo "License:      Unknown" >> $(METADATA)
	@echo "TestVersion:  $(TESTVERSION)"	>> $(METADATA)
	@echo "Description:  testsuite to verify keyutils ">> $(METADATA)
	@echo "TestTime:     30m" >> $(METADATA)
	@echo "RunFor:       $(PACKAGE_NAME)" >> $(METADATA)
	@echo "Requires:     $(PACKAGE_NAME)" >> $(METADATA)
	@echo "Releases:     -RHEL2.1 -RHEL3" >> $(METADATA)
	@echo "Type:         Tier1" >> $(METADATA)
	@echo "Type:         KernelTier1" >> $(METADATA)
	@echo "Destructive:  no" >> $(METADATA)
	rhts-lint $(METADATA)

endif

=== debian/changelog ===
keyutils (1.6-6ubuntu1) focal; urgency=medium

  * d/patches/private-priv.patch: Rename arguments to dh_compute_kdf to
    match dh_compute and avoid C++ keyword "private" (closes: #923011)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Oct 2019 02:29:36 -0600

keyutils (1.6-6) unstable; urgency=medium

  * d/tests:
     - Use set -e only for test setup
     - upstream-runtime-tests
       + Skip tests requiring root
         They don't work with some container solutions due to their close
         interaction with the kernel. These tests are moved to
         upstream-runtime-test-isolation. (Closes: #923156)
       + Drop needs-root restriction
     - upstream-runtime-tests-isolation
       + Drop redundant tests
         Clean out tests not requiring machine-isolation, as these are
         performed by the test upstream-runtime-tests.

 -- Christian Kastner <ckk@debian.org>  Wed, 06 Mar 2019 17:18:19 +0100

keyutils (1.6-5) unstable; urgency=medium

  * d/tests:
    - Save all output to $AUTOPKGTEST_ARTIFACTS
  * d/tests:
    - Run individual tests in AUTOPKGTEST_TMP subdirs, just in case

 -- Christian Kastner <ckk@debian.org>  Fri, 01 Mar 2019 15:47:59 +0100

keyutils (1.6-4) unstable; urgency=medium

  * d/tests: upstream-runtime-tests: Fix broken option value
    SKIPINSTALLREQ expects "yes", not "1". This led to debci tests failing.
  * d/changelog: Fix line too long in 1.6.0-3

 -- Christian Kastner <ckk@debian.org>  Fri, 22 Feb 2019 16:49:41 +0100

keyutils (1.6-3) unstable; urgency=medium

  * d/patches:
    - Add Debian-specific-kernel-feature-tests.patch
      Fold various Debian kernel feature test patches into one, dropping all
      the other patches
    - Drop Disable-some-tests.patch
      The test is guarded by a kernel feature test for CONFIG_BIG_KEYS, which
      we disable in another patch anyway
  * d/tests: Split tests in two: isolation-machine required, or not
  * d/control: Add Rules-Requires-Root: no
    We don't need (fake)root to build the packages
  * d/rules: Re-enable tests on MIPS
    Bug #881830 blocking this has been fixed in stable in 2017, and the fix
    should have propagated to the buildds by now

 -- Christian Kastner <ckk@debian.org>  Thu, 21 Feb 2019 20:49:14 +0100

keyutils (1.6-2) unstable; urgency=medium

  * Add patchd/Disable-DH-tests.patch
    Apparently, this requires a kernel feature not available on all buildds, and
    the upstream feature tests only checks for kernel version and not actually
    enabled kernel options.

 -- Christian Kastner <ckk@debian.org>  Tue, 12 Feb 2019 07:36:31 +0100

keyutils (1.6-1) unstable; urgency=medium

  * New upstream version 1.6
  * Update git repository layout to follow DEP-14

  * d/patches (dropped):
    - Drop tests-directories.patch.
      It's purpose was to get rid of bashisms, but in the meantime, bash has
      become a requirement
  * d/patches (dropped, included or fixed upstream):
     - man-page-syntax-fixes.patch
     - enable-skipping-tests-req-root.patch
     - Enable-skipping-test-requiring-installation.patch
     - Make-testcase-aware-of-a-kernel-behaviour-change.patch
     - Disable-tests-hitting-bug-in-MIPS-kernel-3.19.patch
     - Use-bash-to-execute-the-tests.patch
     - Conditionalize-tests-based-on-kernel-version.patch
     - Insert-delay-in-key-invalidation-test.patch
     - Include-limits.h-for-UINT_MAX.patch
     - Adjust-tests-for-3.18-kernel-change.patch
  * d/patches (added):
     - pkg-config-install-tweaks.patch
     - man-page-fixes.patch
  * d/patches:
    - Refresh remaining patches against 1.6
  * d/libkeyutils1.symbols:
    - Add symbols from new upstream version
    - Add field Build-Depends-Package
  * d/rules:
    - Re-sync build option names with upstream
  * d/tests:
    -  Add restriction isolation-machine to upstream-runtime-tests
  * gbp.conf:
    - Update to reflect new DEP-14 layout
  * d/copyright:
    - Bump copyright years

 -- Christian Kastner <ckk@debian.org>  Sun, 10 Feb 2019 15:29:04 +0100

keyutils (1.5.9-10) unstable; urgency=medium

  * Acknowledge NMUs. Thanks, Holger Levsen and James Cowgill!

  [ Ondřej Nový ]
  * d/tests:
    - Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright:
    - Use https protocol in Format field

  [ Christian Kastner ]
  * d/watch:
    - Update to formation version 4
    - Switch URI to https
  * d/rules:
    - Switch from dh_install to dh_missing
    - Drop override_dh_strip
      It was only needed for the dbgsym migration
    - Remove unused DEB_VERSION
  * d/control:
    - Bump Standards-Version to 4.3.0 (no changes needed)
    - Switch Build-Depends from debhelper to debhelper-compat
    - Bump Build-Depends for debhelper-compat to 12
    - Switch to https protocol in Homepage field
    - Remove Priority from library libkeyutils1
      Default to the package Priority of "optional". lintian is correct in that
      a library gets pulled in not per se, but as a dependency
  * d/compat:
    - Drop, as made obsolete by debhelper-compat
  * d/copyright:
    - Bump copyrights

 -- Christian Kastner <ckk@debian.org>  Wed, 06 Feb 2019 23:12:27 +0100

keyutils (1.5.9-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: Migrate Vcs repository to salsa.d.o.
  * d/patches: Add endianness-and-PIE.patch to fix FTBFS.
    Thanks to Steve Langasek and Adam Conrad (Closes: #895463)

 -- James Cowgill <jcowgill@debian.org>  Mon, 16 Jul 2018 09:53:06 +0100

=== debian/rules ===
#!/usr/bin/make -f

# $SOURCE_DATE_EPOCH is exported by debhelper
CHANGEDATE = $(shell date -u -d @$(SOURCE_DATE_EPOCH) +%F)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh ${@}

override_dh_auto_build:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	dh_auto_build -- BUILDDATE=$(CHANGEDATE) CC=$(DEB_HOST_GNU_TYPE)-gcc AR=$(DEB_HOST_GNU_TYPE)-ar
else
	dh_auto_build -- BUILDDATE=$(CHANGEDATE)
endif

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/lib/$(DEB_HOST_MULTIARCH) USRLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	# Use  the library and executable we just built;
	# skip tests requiring root
	dh_auto_test -- \
		PATH=$(CURDIR):$(PATH) \
		LD_LIBRARY_PATH=$(CURDIR) \
		SKIPROOTREQ=yes \
		SKIPINSTALLREQ=yes

override_dh_missing:
	dh_missing --fail-missing

## keyutils 1.6.1

=== debian/changelog ===
keyutils (1.6.1-3+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 06 Mar 2022 22:32:38 +0000

keyutils (1.6.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13
  * Drop cifs.patch (obsolete)

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Mar 2022 11:13:34 +0100

keyutils (1.6.1-2) unstable; urgency=medium

  * Update symbols file (3 symbols added)
  * Add Tests-for-KEYCTL_MOVE-require-kernel-5.3-or-above.patch.
    Resolves a FTBFS on build hosts with a kernel before 5.2

 -- Christian Kastner <ckk@debian.org>  Mon, 10 Feb 2020 17:23:36 +0100

keyutils (1.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Sun, 09 Feb 2020 21:15:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: keyutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Kastner <ckk@debian.org>
+Maintainer: Christian Kastner <ckk@debian.org>
 Build-Depends:
-    debhelper (>= 9.20151004),
+    debhelper-compat (= 13),
     lsb-release,
-Standards-Version: 3.9.8
-Homepage: http://people.redhat.com/~dhowells/keyutils/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/keyutils.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/keyutils.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://people.redhat.com/~dhowells/keyutils/
+Vcs-Git: https://salsa.debian.org/debian/keyutils.git
+Vcs-Browser: https://salsa.debian.org/debian/keyutils
 
 Package: keyutils
 Architecture: linux-any
@@ -25,7 +25,6 @@
 
 Package: libkeyutils1
 Section: libs
-Priority: standard
 Architecture: linux-any
 Multi-Arch: same
 Depends:

=== debian/rules ===
#!/usr/bin/make -f


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DEB_HOST_*, DEB_BUILD* and $SOURCE_DATE_EPOCH are provided by debhelper
CHANGEDATE = $(shell date -u -d @$(SOURCE_DATE_EPOCH) +%F)

%:
	dh $@

override_dh_auto_build:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	dh_auto_build -- BUILDDATE=$(CHANGEDATE) CC=$(DEB_HOST_GNU_TYPE)-gcc AR=$(DEB_HOST_GNU_TYPE)-ar
else
	dh_auto_build -- BUILDDATE=$(CHANGEDATE)
endif

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/lib/$(DEB_HOST_MULTIARCH) USRLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	# Use  the library and executable we just built;
	# skip tests requiring root
	#dh_auto_test -- \
	#	PATH=$(CURDIR):$(PATH) \
	#	LD_LIBRARY_PATH=$(CURDIR) \
	#	SKIPROOTREQ=yes \
	#	SKIPINSTALLREQ=yes

## keyutils 1.6.3

=== debian/changelog ===
keyutils (1.6.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Change Homepage to kernel.org page
  * Add missing symbols to *.symbols file
  * Bump copyright

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Dec 2022 22:15:58 +0100

keyutils (1.6.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1012606)
    - Add Mark-test-requiring-root-as-such.patch
    - Drop endianness-and-PIE.patch
    - Refresh patches
  * Update d/watch (switch URL)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Update autopkgtest

 -- Christian Kastner <ckk@debian.org>  Sun, 19 Jun 2022 13:18:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
     debhelper-compat (= 13),
     lsb-release,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Homepage: https://people.redhat.com/~dhowells/keyutils/
+Standards-Version: 4.6.2
+Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git
 Vcs-Git: https://salsa.debian.org/debian/keyutils.git
 Vcs-Browser: https://salsa.debian.org/debian/keyutils

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 override_dh_auto_test:
 	# Use  the library and executable we just built;
 	# skip tests requiring root
-	#dh_auto_test -- \
-	#	PATH=$(CURDIR):$(PATH) \
-	#	LD_LIBRARY_PATH=$(CURDIR) \
-	#	SKIPROOTREQ=yes \
-	#	SKIPINSTALLREQ=yes
+	dh_auto_test -- \
+		PATH=$(CURDIR):$(PATH) \
+		LD_LIBRARY_PATH=$(CURDIR) \
+		SKIPROOTREQ=yes \
+		SKIPINSTALLREQ=yes

=== debian/tests/control ===
Tests: upstream-runtime-tests
Restrictions: allow-stderr
Depends: keyutils, lsb-release, file

Tests: upstream-runtime-tests-isolation
Restrictions: allow-stderr needs-root breaks-testbed isolation-machine
Depends: keyutils, lsb-release, file
